Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.primitive
Class SurfaceInterpolation

    Object
      CodeList<SurfaceInterpolation>
          SurfaceInterpolation

All Implemented Interfaces:
  Serializable, Comparable<SurfaceInterpolation>

    @UML(identifier="GM_SurfaceInterpolation",
         specification=ISO_19107)
    public final class SurfaceInterpolation

extends CodeList<SurfaceInterpolation>

List of codes that may be used to identify the interpolation mechanisms.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  Serialized Form

Field Summary
`static SurfaceInterpolation` | `CONIC` The surface is a section of a conic surface.
`static SurfaceInterpolation` | `ELLIPTICAL` The surface is a section of a elliptical surface.
`static SurfaceInterpolation` | `NONE` The interior of the surface is not specified.
`static SurfaceInterpolation` | `PARAMETRIC_CURVE` The control points are organized into a 2-dimensional grid and each cell within the grid is spanned by a surface which shall be defined by a family of curves.
`static SurfaceInterpolation` | `PLANAR` The interpolation method shall return points on a single plane.
`static SurfaceInterpolation` | `POLYNOMIAL_SPLINE` The control points are organized into an irregular 2-dimensional grid and each cell within this grid is spanned by a polynomial spline function.
`static SurfaceInterpolation` | `RATIONAL_SPLINE` The control points are organized into an irregular 2-dimensional grid and each cell within this grid is spanned by a rational (quotient of polynomials) spline function.
`static SurfaceInterpolation` | `SPHERICAL` The surface is a section of a spherical surface.
`static SurfaceInterpolation` | `TIN` The control points are organized into adjoining triangles, which form small planar segments.
`static SurfaceInterpolation` | `TRIANGULATED_SPLINE` The control points are organized into adjoining triangles, each of which is spanned by a polynomial spline function.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static SurfaceInterpolation` | `valueOf(String code)` Returns the SurfaceInterpolation that matches the given string, or returns a new one if none match it.
`static SurfaceInterpolation[]` | `values()` Returns the list of `SurfaceInterpolation`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    @UML(identifier="none",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation NONE

  The interior of the surface is not specified. The assumption is that the surface follows the reference surface defined by the coordinate reference system.

### PLANAR

    @UML(identifier="planar",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation PLANAR

  The interpolation method shall return points on a single plane. The boundary in this case shall be contained within that plane.

### SPHERICAL

    @UML(identifier="spherical",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation SPHERICAL

  The surface is a section of a spherical surface.

### ELLIPTICAL

    @UML(identifier="elliptical",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation ELLIPTICAL

  The surface is a section of a elliptical surface.

### CONIC

    @UML(identifier="conic",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation CONIC

  The surface is a section of a conic surface.

### TIN

    @UML(identifier="tin",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation TIN

  The control points are organized into adjoining triangles, which form small planar segments.

### PARAMETRIC_CURVE

    @UML(identifier="parametricCurve",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation PARAMETRIC_CURVE

  The control points are organized into a 2-dimensional grid and each cell within the grid is spanned by a surface which shall be defined by a family of curves.

### POLYNOMIAL_SPLINE

    @UML(identifier="polynomialSpline",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation POLYNOMIAL_SPLINE

  The control points are organized into an irregular 2-dimensional grid and each cell within this grid is spanned by a polynomial spline function.

### RATIONAL_SPLINE

    @UML(identifier="rationalSpline",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation RATIONAL_SPLINE

  The control points are organized into an irregular 2-dimensional grid and each cell within this grid is spanned by a rational (quotient of polynomials) spline function.

### TRIANGULATED_SPLINE

    @UML(identifier="triangulatedSpline",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final SurfaceInterpolation TRIANGULATED_SPLINE

  The control points are organized into adjoining triangles, each of which is spanned by a polynomial spline function.

Method Detail

### values

    public static SurfaceInterpolation[] values()

  Returns the list of `SurfaceInterpolation`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<SurfaceInterpolation>`

### valueOf

    public static SurfaceInterpolation valueOf(String code)

  Returns the SurfaceInterpolation that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.